@font-face {
  font-family: "iA Writer Quattro";
  src: url("/static/iAWriterQuattroS-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "iA Writer Quattro";
  src: url("/static/iAWriterQuattroS-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "iA Writer Mono";
  src: url("/static/iAWriterMonoS-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

nav {
  border: 1px solid grey;
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;
}

nav ol {
  list-style: none;
  padding-left: 0.5rem;
  padding-right: 1rem;
  padding-top: 0.5rem;
  display: flex;
  flex-wrap: wrap;
}

nav li {
  flex-grow: 1;
  padding-left: 0.5rem;
  padding-bottom: 0.5rem;
}

nav li > * {
  display: block;
  border: 1px solid grey;
  box-sizing: border-box;
  line-height: 4rem;
  padding-right: 1rem;
  padding-left:1rem;
  text-decoration: none;
  text-align: center;
  color: inherit;
  width: 100%;
  font-family: inherit;
  font-size: unset;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s ease-in-out;
}

nav svg {
    vertical-align: middle;
}
nav li:first-child > * {
  border-top-left-radius: 0.5rem;
  border-bottom-left-radius: 0.5rem;
}

nav li:last-child > * {
  border-top-right-radius: 0.5rem;
  border-bottom-right-radius: 0.5rem;
}

#li_theme_button {
    flex-grow: 0;
}

#nav_spacer {
  flex-grow: 3;
}

nav button {
    background-color: rgb(from Canvas r g b);
}

p {
  line-height: 1.4;
  font-size: max(1rem, 22px);
}

main li {
  line-height: 2;
}

pre {
  overflow: scroll;
  border: dotted 1px;
  padding: 1em;
  font-family: "iA Writer Mono", mono;
  font-size: max(0.5rem, 12px);
}

body {
  max-width: 50rem;
  margin: auto;
  padding: 0.3rem;
  font-family: "iA Writer Quattro", sans-serif;

}

img {
  max-width: 100%;
  border: solid 1px black;
  border-radius: 6px ;
}

main {
  clear: both;
  padding: 1rem;
  border-bottom-right-radius: 0.5rem;
  border-bottom-left-radius: 0.5rem;
  border: 1px solid grey;
  border-top: none;
}

@media (max-width: 600px) {
  #nav_spacer {
    display: none;
  }
  #li_theme_button {
    flex-grow: 1;
  }
}

nav a:hover, nav button:hover {
    background-color: light-dark(hsl(from Canvas h s calc(l - 30)), hsl(from Canvas h s calc(l + 30)));
}

